
From: Yann Droneaud <ydroneaud@mandriva.com>

This patch fix ipmi_si_intf to not use ACPI tables if the ACPI subsystem is
disabled.

Cc: Corey Minyard <minyard@acm.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/ipmi/ipmi_si_intf.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/char/ipmi/ipmi_si_intf.c~ipmi-and-acpi=offht-ipmi_si_intf-acpi-disabled drivers/char/ipmi/ipmi_si_intf.c
--- 25/drivers/char/ipmi/ipmi_si_intf.c~ipmi-and-acpi=offht-ipmi_si_intf-acpi-disabled	2005-05-17 00:44:40.000000000 -0700
+++ 25-akpm/drivers/char/ipmi/ipmi_si_intf.c	2005-05-17 00:44:40.000000000 -0700
@@ -1484,6 +1484,9 @@ static int try_init_acpi(int intf_num, s
 	char             *io_type;
 	u8 		 addr_space;
 
+	if (acpi_disabled)
+		return -ENODEV;
+
 	if (acpi_failure)
 		return -ENODEV;
 
_
